"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconArchive(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    fillRule: "evenodd"
  }, _react.default.createElement("path", {
    d: "M18 4.66666667L18 18C18 19.1045695 17.1045695 20 16 20L2 20C.8954305 20 1.3527075e-16 19.1045695 0 18L0 4.66666667C-1.38526305e-15 4.23392624.140355744 3.81285901.4 3.46666667L2.4.8C2.77770876.296388315 3.37048539 1.15639957e-16 4 0L14 1.33226763e-15C14.6295146-1.22586298e-15 15.2222912.296388315 15.6.8L17.6 3.46666667C17.8596443 3.81285901 18 4.23392624 18 4.66666667zM9 16L9 8",
    transform: "translate(3 2)"
  }), _react.default.createElement("path", {
    d: "M13 12L9 16 5 12M1 4L17 4",
    transform: "translate(3 2)"
  })));
});

exports.default = _default;