"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var baseStyle = {
  verticalAlign: 'middle'
};

var _default = _react.default.memo(function IconBadgeInProgress(props) {
  var style = Object.assign({}, baseStyle, props.style);

  if (props.small) {
    return _react.default.createElement("svg", {
      width: "14",
      height: "14",
      className: props.className,
      style: style
    }, _react.default.createElement("g", {
      fill: "none",
      fillRule: "evenodd"
    }, _react.default.createElement("circle", {
      fill: "#FCAC53",
      cx: "7",
      cy: "7",
      r: "7"
    }), _react.default.createElement("path", {
      d: "M5.8912176,3.7631736 L10.0912176,6.5631736 C10.4029275,6.77098017 10.4029275,7.22901983 10.0912176,7.4368264 L5.8912176,10.2368264 C5.54232637,10.4694206 5.075,10.2193151 5.075,9.8 L5.075,4.2 C5.075,3.78068492 5.54232637,3.53057944 5.8912176,3.7631736 Z",
      fill: "#FFF",
      fillRule: "nonzero"
    })));
  } else {
    return _react.default.createElement("svg", {
      width: "20",
      height: "20",
      className: props.className,
      style: style
    }, _react.default.createElement("g", {
      fill: "none",
      fillRule: "evenodd"
    }, _react.default.createElement("circle", {
      fill: "#FCAC53",
      cx: "10",
      cy: "10",
      r: "10"
    }), _react.default.createElement("path", {
      d: "M8.2773501,5.58397485 L14.2773501,9.58397485 C14.5742166,9.78188588 14.5742166,10.2181141 14.2773501,10.4160251 L8.2773501,14.4160251 C7.94507273,14.6375434 7.5,14.3993477 7.5,14 L7.5,6 C7.5,5.60065231 7.94507273,5.36245661 8.2773501,5.58397485 Z",
      fill: "#FFF",
      fillRule: "nonzero"
    })));
  }
});

exports.default = _default;