"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var baseStyle = {
  verticalAlign: 'middle'
};

var _default = _react.default.memo(function IconBadgeRemoved(props) {
  var style = Object.assign({}, baseStyle, props.style);

  if (props.small) {
    return _react.default.createElement("svg", {
      width: "14",
      height: "14",
      className: props.className,
      style: style
    }, _react.default.createElement("g", {
      fill: "none",
      fillRule: "evenodd"
    }, _react.default.createElement("circle", {
      fill: "#FF333A",
      cx: "7",
      cy: "7",
      r: "7"
    }), _react.default.createElement("path", {
      d: "M9.8,6.09 C10.3025791,6.09 10.71,6.49742088 10.71,7 C10.71,7.50257912 10.3025791,7.91 9.8,7.91 L4.2,7.91 C3.69742088,7.91 3.29,7.50257912 3.29,7 C3.29,6.49742088 3.69742088,6.09 4.2,6.09 L9.8,6.09 Z",
      fill: "#FFF",
      fillRule: "nonzero"
    })));
  } else {
    return _react.default.createElement("svg", {
      width: "20",
      height: "20",
      className: props.className,
      style: style
    }, _react.default.createElement("g", {
      fill: "none",
      fillRule: "evenodd"
    }, _react.default.createElement("circle", {
      fill: "#FF333A",
      cx: "10",
      cy: "10",
      r: "10"
    }), _react.default.createElement("path", {
      d: "M14,9 C14.5522847,9 15,9.44771525 15,10 C15,10.5522847 14.5522847,11 14,11 L6,11 C5.44771525,11 5,10.5522847 5,10 C5,9.44771525 5.44771525,9 6,9 L14,9 Z",
      fill: "#FFF",
      fillRule: "nonzero"
    })));
  }
});

exports.default = _default;