"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconBell(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    transform: "translate(2 1)",
    fillRule: "evenodd"
  }, _react.default.createElement("path", {
    d: "M17.1516416,13.9744018 L16.2515057,7.44841621 L16.2515057,7.44841621 C15.8208107,4.32587775 13.1521016,2 10,2 L10,2 L10,2 C6.84789839,2 4.17918928,4.32587775 3.74849432,7.44841621 L2.84835838,13.9744018 L2.84835838,13.9744018 C2.63979938,15.4864545 1.49672731,16.7006545 0,17 L2.22044605e-16,17 L20,17 L20,17 L20,17 C18.5032727,16.7006545 17.3602006,15.4864545 17.1516416,13.9744018 Z"
  }), _react.default.createElement("circle", {
    fill: "currentColor",
    cx: "10",
    cy: "1",
    r: "1"
  }), _react.default.createElement("path", {
    d: "M8,21 C8.34580942,21.5978014 8.99215325,22 9.73243561,22 C10.472718,22 11.1190618,21.5978014 11.4648712,21 L8,21 Z"
  })));
});

exports.default = _default;