"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconBellOff(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    transform: "translate(1 1)",
    fillRule: "evenodd"
  }, _react.default.createElement("path", {
    d: "M17.8800165 12L17.2518832 7.44836412C16.8209645 4.32580176 14.1521559 2 11 2 10.1074071 2 9.25357613 2.18650624 8.47834941 2.52479479M5.35808099 5.48119569C5.0551242 6.08512487 4.84528947 6.74665133 4.74849432 7.44841621L3.84835838 13.9744018C3.63979938 15.4864545 2.49672731 16.7006545 1 17 8.1105551 17 13.4438884 17 17 17M0 0L22 22"
  }), _react.default.createElement("circle", {
    fill: "currentColor",
    cx: "11",
    cy: "1",
    r: "1"
  }), _react.default.createElement("path", {
    d: "M9,21 C9.34580942,21.5978014 9.99215325,22 10.7324356,22 C11.472718,22 12.1190618,21.5978014 12.4648712,21 L9,21 Z"
  })));
});

exports.default = _default;