"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconDropbox(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("path", {
    d: "M8 1.5L1 6 5 8.5 12 4zM19 8.5L12 13 16 15.5 23 11zM4.9 8.5L12 13 7.9 15.5 1 11zM15.9 1.5L23 6 18.9 8.5 12 4z"
  }), _react.default.createElement("path", {
    d: "M5 13.5L5 18.5 12 23 19 18.5 19 13.5"
  }));
});

exports.default = _default;