"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconEmojiFrown(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    transform: "translate(2 2)",
    fillRule: "evenodd"
  }, _react.default.createElement("circle", {
    cx: "10",
    cy: "10",
    r: "10"
  }), _react.default.createElement("path", {
    d: "M5.81504739,12.5055971 C6.80504452,13.855554 8.20002872,14.5305325 10,14.5305325 C11.8024572,14.5305325 13.1988079,13.8536883 14.1890521,12.5",
    transform: "matrix(1 0 0 -1 0 27.03)"
  }), _react.default.createElement("circle", {
    fill: "currentColor",
    cx: "6.75",
    cy: "7.75",
    r: "1"
  }), _react.default.createElement("circle", {
    fill: "currentColor",
    cx: "13.25",
    cy: "7.75",
    r: "1"
  })));
});

exports.default = _default;