"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconQuestionScales(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    transform: "translate(3 2)",
    fillRule: "evenodd"
  }, _react.default.createElement("circle", {
    cx: "2",
    cy: "10",
    r: "2"
  }), _react.default.createElement("circle", {
    fill: "currentColor",
    cx: "2",
    cy: "2",
    r: "2"
  }), _react.default.createElement("circle", {
    cx: "2",
    cy: "18",
    r: "2"
  }), _react.default.createElement("path", {
    d: "M18,9.82842712 L12,15.8284271 L7,16.8284271 L8,11.8284271 L14,5.82842712 L14,5.82842712 C15.1045695,4.72385763 16.8954305,4.72385763 18,5.82842712 L18,5.82842712 L18,5.82842712 C19.1045695,6.93299662 19.1045695,8.72385763 18,9.82842712 Z",
    transform: "matrix(1 0 0 -1 0 21.828)"
  })));
});

exports.default = _default;