"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconTeam(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    fillRule: "evenodd"
  }, _react.default.createElement("path", {
    d: "M11 0C12.381 0 13.5 1.119 13.5 2.5 13.5 3.881 12.381 5 11 5 9.619 5 8.5 3.881 8.5 2.5 8.5 1.119 9.619 0 11 0zM16.5 14L16.5 12C16.5 10.343 15.157 9 13.5 9L8.5 9C6.843 9 5.5 10.343 5.5 12L5.5 14M5 6L2 6C.896 6 0 6.896 0 8L0 11M18 0C18.552 0 19 .448 19 1 19 1.552 18.552 2 18 2 17.448 2 17 1.552 17 1 17 .448 17.448 0 18 0zM22 11L22 8C22 6.896 21.104 6 20 6L17 6M4 0C4.552 0 5 .448 5 1 5 1.552 4.552 2 4 2 3.448 2 3 1.552 3 1 3 .448 3.448 0 4 0z",
    transform: "translate(1 5)"
  })));
});

exports.default = _default;