"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconTrash(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("polyline", {
    points: "3 6 5 6 21 6"
  }), _react.default.createElement("path", {
    d: "M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"
  }), _react.default.createElement("line", {
    x1: "10",
    y1: "11",
    x2: "10",
    y2: "17"
  }), _react.default.createElement("line", {
    x1: "14",
    y1: "11",
    x2: "14",
    y2: "17"
  }));
});

exports.default = _default;