"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconUnarchive(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    fillRule: "evenodd"
  }, _react.default.createElement("path", {
    d: "M18 6.00000035L18 18C18 19.1045695 17.1045695 20 16 20L2 20C.8954305 20 1.3527075e-16 19.1045695 0 18L0 6 0 4.66666667-1.33226763e-15 4.66666667C-1.38526305e-15 4.23392624.140355744 3.81285901.4 3.46666667L2.4.8 2.4.8C2.77770876.296388315 3.37048539-1.21662767e-15 4-1.33226763e-15L4 0 14 0 14-2.44249065e-15C14.6295146-2.55813061e-15 15.2222912.296388315 15.6.8L17.6 3.46666667 17.6 3.46666667C17.8596443 3.81285901 18 4.23392624 18 4.66666667L18 6zM9 16L9 8",
    transform: "translate(3 2)"
  }), _react.default.createElement("path", {
    transform: "matrix(1 0 0 -1 3 22)",
    d: "M13 8L9 12 5 8"
  }), _react.default.createElement("path", {
    d: "M1,4 L17,4",
    transform: "translate(3 2)"
  })));
});

exports.default = _default;