import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconActivity(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("polyline", {
    points: "22 12 18 12 15 21 9 3 6 12 2 12"
  }));
});