import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconBot(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("path", {
    d: "m15.85,22h-7.7c-1.73,0-3.15-1.42-3.15-3.15v-5.7c0-1.73,1.42-3.15,3.15-3.15h7.7c1.73,0,3.15,1.42,3.15,3.15v5.7c0,1.73-1.42,3.15-3.15,3.15Z"
  }), React.createElement("path", {
    d: "M5.01 12.76h-1.07c-1.05 0-1.91.86-1.91 1.91v2.64c0 1.05.86 1.91 1.91 1.91h1.08M18.99 19.23h1.07c1.05 0 1.91-.86 1.91-1.91v-2.64c0-1.05-.86-1.91-1.91-1.91h-1.06M12 7L12 10"
  }), React.createElement("circle", {
    cx: "12",
    cy: "5",
    r: "2"
  }), React.createElement("circle", {
    cx: "9.5",
    cy: "13.5",
    r: ".5"
  }), React.createElement("circle", {
    cx: "14.5",
    cy: "13.5",
    r: ".5"
  }));
});