import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconCode(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("g", {
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M13 0L9 16M5 13L0 8 5 3M17 13L22 8 17 3",
    transform: "translate(1 4)"
  })));
});