import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconCompany(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("g", {
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M0 20L16 20 16 0 0 0zM8.0002 20L8.0002 16",
    transform: "translate(4 2)"
  }), React.createElement("path", {
    d: "M12 16L12 16M4 16L4 16M8 12L8 12M12 12L12 12M4 12L4 12M8 8L8 8M12 8L12 8M4 8L4 8M8 4L8 4M12 4L12 4M4 4L4 4",
    transform: "translate(4 2)"
  })));
});