import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconEdit(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("g", {
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M17,5 L5,17 L0,18 L1,13 L13,1 L13,1 C14.1045695,-0.1045695 15.8954305,-0.1045695 17,1 L17,1 L17,1 C18.1045695,2.1045695 18.1045695,3.8954305 17,5 Z",
    transform: "translate(3 3)"
  }), React.createElement("path", {
    d: "M11,3 L15,7",
    transform: "translate(3 3)"
  })));
});