import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconEmojiMeh(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("g", {
    transform: "translate(2 2)",
    fillRule: "evenodd"
  }, React.createElement("circle", {
    cx: "10",
    cy: "10",
    r: "10"
  }), React.createElement("path", {
    d: "M5.5,13 L14.5,13"
  }), React.createElement("circle", {
    fill: "currentColor",
    cx: "6.75",
    cy: "7.75",
    r: "1"
  }), React.createElement("circle", {
    fill: "currentColor",
    cx: "13.25",
    cy: "7.75",
    r: "1"
  })));
});