import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconHelp(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("path", {
    d: "M8.1 8.7c.7-2.1 3-3.2 5.1-2.5 1.6.6 2.7 2.1 2.7 3.8 0 2.7-4 4-4 4M12 18L12 18"
  }));
});