import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconLock(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("g", {
    transform: "translate(4 2)",
    fillRule: "evenodd"
  }, React.createElement("rect", {
    y: "9",
    width: "16",
    height: "11",
    rx: "2"
  }), React.createElement("path", {
    d: "M8 14L8 15.5M3 9L3 5C3 2.23857625 5.23857625 4.4408921e-16 8 0 10.7614237-8.8817842e-16 13 2.23857625 13 5L13 9"
  })));
});