import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconModule360(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("g", {
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M15 18L15 16C15 13.791 13.209 12 11 12L4 12C1.791 12 0 13.791 0 16L0 18M22 18L22 16C22 13.791 20.209 12 18 12L17 12M13.8465822.0531152099C14.0592112.0181728486 14.2774849 0 14.5 0 16.709 0 18.5 1.791 18.5 4 18.5 6.209 16.709 8 14.5 8 14.2882791 8 14.0803981 7.98354752 13.8775658 7.95185141M7.5 0C9.709 0 11.5 1.791 11.5 4 11.5 6.209 9.709 8 7.5 8 5.291 8 3.5 6.209 3.5 4 3.5 1.791 5.291 0 7.5 0z",
    transform: "translate(1 3)"
  }), React.createElement("path", {
    d: "M22,18 L22,16 C21.999,14.177 20.765,12.586 19,12.13",
    transform: "translate(1 3)"
  })));
});