import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconNudgeRight(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("g", {
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M19.5 5L12 5 12 3C12 1.34314575 10.6568542 7.4940594e-16 9 0L5 7 5 18 13.28 18C14.2772867 18.0112744 15.1304612 17.2860761 15.28 16.3L16.246 10 19.5 10C20.8807119 10 22 8.88071187 22 7.5 22 6.11928813 20.8807119 5 19.5 5zM5 18L2 18C.8954305 18 0 17.1045695 0 16L0 9C-2.22044605e-16 7.8954305.8954305 7 2 7L5 7 5 18z",
    transform: "translate(1 3)"
  })));
});