import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconRss(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("g", {
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M16 15C16 6.71572875 9.28427125 0 1 0M11 15C11 9.4771525 6.5228475 5 1 5M6 15C6 12.2385763 3.76142375 10 1 10",
    transform: "translate(4 4)"
  }), React.createElement("path", {
    d: "M1,15 L1,15",
    transform: "translate(4 4)"
  })));
});