import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconUnderline(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("path", {
    d: "M6 3v7a6 6 0 0 0 6 6 6 6 0 0 0 6-6V3"
  }), React.createElement("line", {
    x1: "4",
    y1: "21",
    x2: "20",
    y2: "21"
  }));
});