import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconUnlink(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("path", {
    d: "M1 1L23 23M18.5 12.5l2-2c1.9-2 1.9-5.1-.1-7s-5-2-7-.1L12 5M9 14c.9 1.2 2.2 1.9 3.6 2 1 .1 1.9-.1 2.7-.6"
  }), React.createElement("path", {
    d: "M9,9.1c-1,0.2-1.9,0.7-2.6,1.4l-3,3c-1.9,2-1.9,5.1,0.1,7c1.9,1.9,5,2,7,0.1l1-1"
  }));
});