"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var baseStyle = {
  verticalAlign: 'middle'
};

var _default = _react.default.memo(function IconBadgeAdded(props) {
  var style = Object.assign({}, baseStyle, props.style);

  if (props.small) {
    return _react.default.createElement("svg", {
      width: "14",
      height: "14",
      className: props.className,
      style: style
    }, _react.default.createElement("g", {
      fill: "none",
      fillRule: "evenodd"
    }, _react.default.createElement("circle", {
      fill: "#2ECD72",
      cx: "7",
      cy: "7",
      r: "7"
    }), _react.default.createElement("path", {
      d: "M7.91,7.91 L7.91,9.8 C7.91,10.3025791 7.50257912,10.71 7,10.71 C6.49742088,10.71 6.09,10.3025791 6.09,9.8 L6.09,7.91 L4.2,7.91 C3.69742088,7.91 3.29,7.50257912 3.29,7 C3.29,6.49742088 3.69742088,6.09 4.2,6.09 L6.09,6.09 L6.09,4.2 C6.09,3.69742088 6.49742088,3.29 7,3.29 C7.50257912,3.29 7.91,3.69742088 7.91,4.2 L7.91,6.09 L9.8,6.09 C10.3025791,6.09 10.71,6.49742088 10.71,7 C10.71,7.50257912 10.3025791,7.91 9.8,7.91 L7.91,7.91 Z",
      fill: "#FFF",
      fillRule: "nonzero"
    })));
  } else {
    return _react.default.createElement("svg", {
      width: "20",
      height: "20",
      className: props.className,
      style: style
    }, _react.default.createElement("g", {
      fill: "none",
      fillRule: "evenodd"
    }, _react.default.createElement("circle", {
      fill: "#2ECD72",
      cx: "10",
      cy: "10",
      r: "10"
    }), _react.default.createElement("path", {
      d: "M11,11 L11,14 C11,14.5522847 10.5522847,15 10,15 C9.44771525,15 9,14.5522847 9,14 L9,11 L6,11 C5.44771525,11 5,10.5522847 5,10 C5,9.44771525 5.44771525,9 6,9 L9,9 L9,6 C9,5.44771525 9.44771525,5 10,5 C10.5522847,5 11,5.44771525 11,6 L11,9 L14,9 C14.5522847,9 15,9.44771525 15,10 C15,10.5522847 14.5522847,11 14,11 L11,11 Z",
      fill: "#FFF",
      fillRule: "nonzero"
    })));
  }
});

exports.default = _default;