"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var baseStyle = {
  verticalAlign: 'middle'
};

var _default = _react.default.memo(function IconBadgePrivate(props) {
  var style = Object.assign({}, baseStyle, props.style);

  if (props.small) {
    return _react.default.createElement("svg", {
      width: "14",
      height: "14",
      className: props.className,
      style: style
    }, _react.default.createElement("g", {
      fill: "none",
      fillRule: "evenodd"
    }, _react.default.createElement("circle", {
      cx: "7",
      cy: "7",
      r: "7",
      fill: "#8A8E91"
    }), _react.default.createElement("g", {
      fill: "#FFF",
      fillRule: "nonzero"
    }, _react.default.createElement("path", {
      d: "M6.95 7.3C6.95 7.49329966 6.79329966 7.65 6.6 7.65L1 7.65C.806700338 7.65.65 7.49329966.65 7.3L.65 6.6C.65 5.63350169 1.43350169 4.85 2.4 4.85L5.2 4.85C6.16649831 4.85 6.95 5.63350169 6.95 6.6L6.95 7.3zM3.8 4.15C2.83350169 4.15 2.05 3.36649831 2.05 2.4 2.05 1.43350169 2.83350169.65 3.8.65 4.76649831.65 5.55 1.43350169 5.55 2.4 5.55 3.36649831 4.76649831 4.15 3.8 4.15z",
      transform: "translate(3.2 2.85)"
    }))));
  } else {
    return _react.default.createElement("svg", {
      width: "20",
      height: "20",
      className: props.className,
      style: style
    }, _react.default.createElement("g", {
      fill: "none",
      fillRule: "evenodd"
    }, _react.default.createElement("circle", {
      cx: "10",
      cy: "10",
      r: "10",
      fill: "#8A8E91"
    }), _react.default.createElement("g", {
      fill: "#FFF",
      fillRule: "nonzero"
    }, _react.default.createElement("path", {
      d: "M9.5 10C9.5 10.2761424 9.27614237 10.5 9 10.5L1 10.5C.723857625 10.5.5 10.2761424.5 10L.5 9C.5 7.61928813 1.61928813 6.5 3 6.5L7 6.5C8.38071187 6.5 9.5 7.61928813 9.5 9L9.5 10zM5 5.5C3.61928813 5.5 2.5 4.38071187 2.5 3 2.5 1.61928813 3.61928813.5 5 .5 6.38071187.5 7.5 1.61928813 7.5 3 7.5 4.38071187 6.38071187 5.5 5 5.5z",
      transform: "translate(5 4.5)"
    }))));
  }
});

exports.default = _default;