"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconExport(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    fillRule: "evenodd"
  }, _react.default.createElement("path", {
    d: "M14 13.0315274L14 16 14 16C14 17.1045695 13.1045695 18 12 18L2 18 2 18C.8954305 18 1.3527075e-16 17.1045695 0 16L0 2 0 2C-1.3527075e-16.8954305.8954305 2.02906125e-16 2 0L2 0 12 0 12 1.33226763e-15C13.1045695 1.1293615e-15 14 .8954305 14 2L14 5M18 13L22 9 18 5M22 9L10 9",
    transform: "translate(1 3)"
  })));
});

exports.default = _default;