"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconFilePdf(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("path", {
    d: "M14,2H6C4.9,2,4,2.9,4,4v16c0,1.1,0.9,2,2,2h12c1.1,0,2-0.9,2-2V8L14,2z"
  }), _react.default.createElement("path", {
    d: "M14 2L14 8 20 8"
  }), _react.default.createElement("path", {
    d: "M7.7,17.6c0.1,0.2,0.4,0.3,0.6,0.1c0.1-0.1,0.3-0.3,0.5-0.8c-0.6,0-0.8,0-0.9,0.1C7.7,17.2,7.6,17.5,7.7,17.6z M15.2,17\tc0.3,0.5,0.4,0.7,0.5,0.8c0.2,0.1,0.4,0,0.6-0.1c0.1-0.2,0-0.4-0.1-0.6C16,17,15.8,17,15.2,17z M12.4,10.6c0-0.2-0.2-0.4-0.4-0.4\tc-0.2,0-0.4,0.2-0.4,0.4c0,0.1,0.1,0.4,0.4,0.9C12.3,11,12.4,10.7,12.4,10.6z M13,15.7L12,14l-1,1.7H13z M10.2,17c0,0,0,0.1-0.1,0.1\tc-0.1,0.1-0.1,0.1-0.1,0.2c-0.5,0.9-0.7,1.3-1.2,1.5c-0.8,0.5-1.9,0.2-2.3-0.6c-0.5-0.8-0.2-1.9,0.6-2.3c0.4-0.3,0.9-0.3,1.9-0.2\tl0,0c0.1,0,0.2,0,0.3,0l1.8-3c0-0.1-0.1-0.2-0.2-0.3c0-0.1,0-0.1-0.1-0.1c-0.5-0.8-0.7-1.2-0.7-1.7c0-0.9,0.8-1.7,1.7-1.7\tc0.9,0,1.7,0.8,1.7,1.7c0,0.5-0.2,0.9-0.7,1.7c0,0,0,0,0,0.1c-0.1,0.1-0.1,0.2-0.2,0.3l1.8,3c0.1,0,0.2,0,0.3,0c0,0,0,0,0.1,0\tc1,0,1.4,0,1.9,0.2c0.8,0.5,1.1,1.5,0.6,2.3c-0.5,0.8-1.5,1.1-2.3,0.6c-0.5-0.3-0.7-0.6-1.2-1.5c0-0.1,0-0.1-0.1-0.1\tc0-0.1-0.1-0.2-0.1-0.2H10.2z",
    fill: "currentColor",
    stroke: "none"
  }));
});

exports.default = _default;