"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconFileWord(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("path", {
    d: "M14,2H6C4.9,2,4,2.9,4,4v16c0,1.1,0.9,2,2,2h12c1.1,0,2-0.9,2-2V8L14,2z"
  }), _react.default.createElement("path", {
    d: "M14 2L14 8 20 8"
  }), _react.default.createElement("path", {
    d: "M12,14.3l-1.8,4c-0.3,0.6-1.2,0.6-1.4-0.1l-2-6c-0.1-0.4,0.1-0.8,0.5-0.9c0.4-0.1,0.8,0.1,0.9,0.5l1.4,4.2l1.7-3.8\tc0.3-0.6,1.1-0.6,1.4,0l1.7,3.8l1.4-4.2c0.1-0.4,0.6-0.6,0.9-0.5c0.4,0.1,0.6,0.6,0.5,0.9l-2,6c-0.2,0.6-1.1,0.7-1.4,0.1L12,14.3z",
    fill: "currentColor",
    stroke: "none"
  }));
});

exports.default = _default;