"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconFiles(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    fillRule: "evenodd"
  }, _react.default.createElement("path", {
    d: "M12,0 L6,0 C4.8954305,0 4,0.8954305 4,2 L4,16 C4,17.1045695 4.8954305,18 6,18 L17,18 C18.1045695,18 19,17.1045695 19,16 L19,7 L12,0 Z",
    transform: "translate(3 1)"
  }), _react.default.createElement("path", {
    d: "M12 0L12 7 19 7M0 5L0 20C0 21.1045695.8954305 22 2 22L14 22",
    transform: "translate(3 1)"
  })));
});

exports.default = _default;