"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconFlask(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    fillRule: "evenodd"
  }, _react.default.createElement("path", {
    d: "M11 6.8L16.7410883 14.8375236C17.3831063 15.7363488 17.1749229 16.985449 16.2760977 17.6274669 15.9368962 17.8697537 15.5304673 18 15.1136214 18L2.88637865 18C1.78180915 18 .886378648 17.1045695.886378648 16 .886378648 15.583154 1.01662492 15.1767251 1.25891171 14.8375236L7 6.8 7 1 11 1 11 6.8zM5 1L13 1M3.5 12L14.5 12",
    transform: "translate(3 3)"
  })));
});

exports.default = _default;