"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconMagicWand(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    fillRule: "evenodd"
  }, _react.default.createElement("path", {
    d: "M15 0L15 3M15 13L15 16M7 8L10 8M20 8L23 8",
    transform: "translate(0 1)"
  }), _react.default.createElement("path", {
    d: "M19.5961941,1.90380592 L19.5961941,4.90380592",
    transform: "rotate(45 18.39 3.904)"
  }), _react.default.createElement("path", {
    d: "M8.90380592,3.40380592 L11.9038059,3.40380592",
    transform: "rotate(45 9.197 3.904)"
  }), _react.default.createElement("path", {
    d: "M18.0961941,12.5961941 L21.0961941,12.5961941",
    transform: "rotate(45 18.39 13.096)"
  }), _react.default.createElement("path", {
    d: "M8.79289322,5.1862915 L8.79289322,23.5710678",
    transform: "rotate(45 7.293 14.586)"
  })));
});

exports.default = _default;