"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconModuleReviews(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    fillRule: "evenodd"
  }, _react.default.createElement("path", {
    d: "M10,0 L2,0 C0.8954305,0 0,0.8954305 0,2 L0,18 C0,19.1045695 0.8954305,20 2,20 L14,20 C15.1045695,20 16,19.1045695 16,18 L16,6 L10,0 Z",
    transform: "translate(4 2)"
  }), _react.default.createElement("path", {
    d: "M10 0L10 6 16 6M12 11L4 11M12 15L4 15M4.29317671 5.29317671C4.68307923 4.90227443 5.31592102 4.90227443 5.70682329 5.29317671 6.09772557 5.68407898 6.09772557 6.31592102 5.70682329 6.70682329 5.31592102 7.09772557 4.68307923 7.09772557 4.29317671 6.70682329 3.90227443 6.31592102 3.90227443 5.68407898 4.29317671 5.29317671z",
    transform: "translate(4 2)"
  })));
});

exports.default = _default;