"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconNudgeLeft(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    fillRule: "evenodd"
  }, _react.default.createElement("path", {
    d: "M2.5 5L10 5 10 3C10 1.34314575 11.3431458 7.4940594e-16 13 0L17 7 17 18 8.72 18C7.72271325 18.0112744 6.86953884 17.2860761 6.72 16.3L5.754 10 2.5 10C1.11928813 10 0 8.88071187 0 7.5 0 6.11928813 1.11928813 5 2.5 5zM17 18L20 18C21.1045695 18 22 17.1045695 22 16L22 9C22 7.8954305 21.1045695 7 20 7L17 7 17 18z",
    transform: "translate(1 3)"
  })));
});

exports.default = _default;