"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconSlack(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("path", {
    d: "M22.08 9C19.81 1.41 16.54-.35 9 1.92S-.35 7.46 1.92 15 7.46 24.35 15 22.08 24.35 16.54 22.08 9z"
  }), _react.default.createElement("line", {
    x1: "12.57",
    y1: "5.99",
    x2: "16.15",
    y2: "16.39"
  }), _react.default.createElement("line", {
    x1: "7.85",
    y1: "7.61",
    x2: "11.43",
    y2: "18.01"
  }), _react.default.createElement("line", {
    x1: "16.39",
    y1: "7.85",
    x2: "5.99",
    y2: "11.43"
  }), _react.default.createElement("line", {
    x1: "18.01",
    y1: "12.57",
    x2: "7.61",
    y2: "16.15"
  }));
});

exports.default = _default;