"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconUnlink(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("path", {
    d: "M1 1L23 23M18.5 12.5l2-2c1.9-2 1.9-5.1-.1-7s-5-2-7-.1L12 5M9 14c.9 1.2 2.2 1.9 3.6 2 1 .1 1.9-.1 2.7-.6"
  }), _react.default.createElement("path", {
    d: "M9,9.1c-1,0.2-1.9,0.7-2.6,1.4l-3,3c-1.9,2-1.9,5.1,0.1,7c1.9,1.9,5,2,7,0.1l1-1"
  }));
});

exports.default = _default;