"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconUnlock(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    transform: "translate(4 2)",
    fillRule: "evenodd"
  }, _react.default.createElement("rect", {
    y: "9",
    width: "16",
    height: "11",
    rx: "2"
  }), _react.default.createElement("path", {
    d: "M8 14L8 15.5M3 9L3 5C3 2.23857625 5.23857625 1.33226763e-15 8 8.8817842e-16 10.4201049 1.09781052e-16 12.4380096 1.71938912 12.9000244 4.00324697"
  })));
});

exports.default = _default;