import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconEuroSign(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("path", {
    d: "M3 10L16.2 10M3 14L14.2 14M19.3 6C17.9 4.8 16 4 14 4c-4.4 0-8 3.6-8 8s3.6 8 8 8c2 0 3.9-.8 5.3-2"
  }));
});