import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconFileExcel(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("path", {
    d: "M14,2H6C4.9,2,4,2.9,4,4v16c0,1.1,0.9,2,2,2h12c1.1,0,2-0.9,2-2V8L14,2z"
  }), React.createElement("path", {
    d: "M14 2L14 8 20 8"
  }), React.createElement("path", {
    d: "M10.9,15l-2.5-2.5c-0.3-0.3-0.3-0.8,0-1.1c0.3-0.3,0.8-0.3,1.1,0l2.5,2.5l2.5-2.5c0.3-0.3,0.8-0.3,1.1,0\tc0.3,0.3,0.3,0.8,0,1.1L13.1,15l2.5,2.5c0.3,0.3,0.3,0.8,0,1.1c-0.3,0.3-0.8,0.3-1.1,0L12,16.1l-2.5,2.5c-0.3,0.3-0.8,0.3-1.1,0\tc-0.3-0.3-0.3-0.8,0-1.1L10.9,15z",
    fill: "currentColor",
    stroke: "none"
  }));
});