import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconPreviewFile(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("g", {
    transform: "translate(3 1)",
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M16,10 C16,9.12353967 16,8.79020634 16,7 L9,0 L2,0 C0.8954305,0 0,0.8954305 0,2 L0,18 C0,19.1045695 0.8954305,20 2,20 C3.76974419,20 5.10307752,20 6,20"
  }), React.createElement("path", {
    d: "M9 0L9 7 16 7"
  }), React.createElement("circle", {
    cx: "12.5",
    cy: "16.5",
    r: "3.5"
  }), React.createElement("path", {
    d: "M18,22 L15.8,19.8"
  })));
});