import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconQuestionGuided(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("g", {
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M15 13L15 13M11 13L1 13M19 9L13 9M9 9L9 9M5 9L1 9M15 5L5 5M1 5L1 5M19 1L17 1M13 1L13 1M9 1L1 1",
    transform: "translate(2 5)"
  })));
});