import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconStrikethrough(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("g", {
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M13,2.86111111 C12.5,1.91666667 10.738829,0.5 8,0.5 C5.26117099,0.5 3,1.91666667 3,4.27777778 C3,6.16666667 4,7.58333333 8,8.52777778 C8.63831357,8.6784907 9.21296398,8.84122889 9.72801493,9.01791132 M13.4799522,12.7929588 C13.4934144,12.941251 13.5,13.0935522 13.5,13.25 C13.5,15.6111111 11.5,17.5 8,17.5 C5,17.5 3.29998779,16.0833333 2.5,15.1388889",
    transform: "translate(4 3)"
  }), React.createElement("path", {
    d: "M0,9 L16,9",
    transform: "translate(4 3)"
  })));
});