import * as React from 'react'

export type Featherico = {
    className?: string;
    customStyle?: React.CSSProperties | true;
    style?: React.CSSProperties;
}

export type FeathericoBadge = {
    className?: string;
    small?: boolean;
    style?: React.CSSProperties;
}

export var IconActivity: React.ComponentType<Featherico>
export var IconAlertCircle: React.ComponentType<Featherico>
export var IconAlertTriangle: React.ComponentType<Featherico>
export var IconAlignCenter: React.ComponentType<Featherico>
export var IconAlignJustify: React.ComponentType<Featherico>
export var IconAlignLeft: React.ComponentType<Featherico>
export var IconAlignRight: React.ComponentType<Featherico>
export var IconArchive: React.ComponentType<Featherico>
export var IconAreaChart: React.ComponentType<Featherico>
export var IconArrowDown: React.ComponentType<Featherico>
export var IconArrowDownLeft: React.ComponentType<Featherico>
export var IconArrowDownRight: React.ComponentType<Featherico>
export var IconArrowLeft: React.ComponentType<Featherico>
export var IconArrowRight: React.ComponentType<Featherico>
export var IconArrowUp: React.ComponentType<Featherico>
export var IconArrowUpLeft: React.ComponentType<Featherico>
export var IconArrowUpRight: React.ComponentType<Featherico>
export var IconAssessmentGraph: React.ComponentType<Featherico>
export var IconAtSign: React.ComponentType<Featherico>
export var IconBadgeAdded: React.ComponentType<FeathericoBadge>
export var IconBadgeClear: React.ComponentType<FeathericoBadge>
export var IconBadgeFail: React.ComponentType<FeathericoBadge>
export var IconBadgeInProgress: React.ComponentType<FeathericoBadge>
export var IconBadgeInfo: React.ComponentType<FeathericoBadge>
export var IconBadgePrivate: React.ComponentType<FeathericoBadge>
export var IconBadgeProtected: React.ComponentType<FeathericoBadge>
export var IconBadgeRemoved: React.ComponentType<FeathericoBadge>
export var IconBadgeSuccess: React.ComponentType<FeathericoBadge>
export var IconBadgeUnknown: React.ComponentType<FeathericoBadge>
export var IconBan: React.ComponentType<Featherico>
export var IconBarChart: React.ComponentType<Featherico>
export var IconBell: React.ComponentType<Featherico>
export var IconBellOff: React.ComponentType<Featherico>
export var IconBold: React.ComponentType<Featherico>
export var IconBook: React.ComponentType<Featherico>
export var IconBot: React.ComponentType<Featherico>
export var IconBox: React.ComponentType<Featherico>
export var IconBullhorn: React.ComponentType<Featherico>
export var IconCalendar: React.ComponentType<Featherico>
export var IconCheck: React.ComponentType<Featherico>
export var IconCheckCircle: React.ComponentType<Featherico>
export var IconCheckSquare: React.ComponentType<Featherico>
export var IconChevronDown: React.ComponentType<Featherico>
export var IconChevronLeft: React.ComponentType<Featherico>
export var IconChevronRight: React.ComponentType<Featherico>
export var IconChevronUp: React.ComponentType<Featherico>
export var IconChevronsRight: React.ComponentType<Featherico>
export var IconCircle: React.ComponentType<Featherico>
export var IconClock: React.ComponentType<Featherico>
export var IconCode: React.ComponentType<Featherico>
export var IconColumns: React.ComponentType<Featherico>
export var IconCompany: React.ComponentType<Featherico>
export var IconCopy: React.ComponentType<Featherico>
export var IconCornerDownLeft: React.ComponentType<Featherico>
export var IconCornerDownRight: React.ComponentType<Featherico>
export var IconCornerLeftDown: React.ComponentType<Featherico>
export var IconCornerLeftUp: React.ComponentType<Featherico>
export var IconCornerRightDown: React.ComponentType<Featherico>
export var IconCornerRightUp: React.ComponentType<Featherico>
export var IconCornerUpLeft: React.ComponentType<Featherico>
export var IconCornerUpRight: React.ComponentType<Featherico>
export var IconDownload: React.ComponentType<Featherico>
export var IconDownloadCloud: React.ComponentType<Featherico>
export var IconDragHandle: React.ComponentType<Featherico>
export var IconDropbox: React.ComponentType<Featherico>
export var IconEdit: React.ComponentType<Featherico>
export var IconEmojiFrown: React.ComponentType<Featherico>
export var IconEmojiMeh: React.ComponentType<Featherico>
export var IconEmojiSmile: React.ComponentType<Featherico>
export var IconEuroSign: React.ComponentType<Featherico>
export var IconExport: React.ComponentType<Featherico>
export var IconExternalLink: React.ComponentType<Featherico>
export var IconEye: React.ComponentType<Featherico>
export var IconEyeOff: React.ComponentType<Featherico>
export var IconFile: React.ComponentType<Featherico>
export var IconFileExcel: React.ComponentType<Featherico>
export var IconFileMinus: React.ComponentType<Featherico>
export var IconFilePdf: React.ComponentType<Featherico>
export var IconFilePlus: React.ComponentType<Featherico>
export var IconFileText: React.ComponentType<Featherico>
export var IconFileWord: React.ComponentType<Featherico>
export var IconFiles: React.ComponentType<Featherico>
export var IconFilter: React.ComponentType<Featherico>
export var IconFlask: React.ComponentType<Featherico>
export var IconFolder: React.ComponentType<Featherico>
export var IconFolderOpen: React.ComponentType<Featherico>
export var IconGithub: React.ComponentType<Featherico>
export var IconGlobe: React.ComponentType<Featherico>
export var IconGrid: React.ComponentType<Featherico>
export var IconHash: React.ComponentType<Featherico>
export var IconHeart: React.ComponentType<Featherico>
export var IconHelp: React.ComponentType<Featherico>
export var IconHelpCircle: React.ComponentType<Featherico>
export var IconHome: React.ComponentType<Featherico>
export var IconImage: React.ComponentType<Featherico>
export var IconImport: React.ComponentType<Featherico>
export var IconIndent: React.ComponentType<Featherico>
export var IconIndentLess: React.ComponentType<Featherico>
export var IconInfo: React.ComponentType<Featherico>
export var IconItalic: React.ComponentType<Featherico>
export var IconLifeBuoy: React.ComponentType<Featherico>
export var IconLink: React.ComponentType<Featherico>
export var IconList: React.ComponentType<Featherico>
export var IconListNumbered: React.ComponentType<Featherico>
export var IconLoader: React.ComponentType<Featherico>
export var IconLock: React.ComponentType<Featherico>
export var IconMagicWand: React.ComponentType<Featherico>
export var IconMail: React.ComponentType<Featherico>
export var IconMaximize: React.ComponentType<Featherico>
export var IconMenu: React.ComponentType<Featherico>
export var IconMessageCircle: React.ComponentType<Featherico>
export var IconMinimize: React.ComponentType<Featherico>
export var IconMinus: React.ComponentType<Featherico>
export var IconMinusCircle: React.ComponentType<Featherico>
export var IconModule1On1: React.ComponentType<Featherico>
export var IconModule360: React.ComponentType<Featherico>
export var IconModuleAutomations: React.ComponentType<Featherico>
export var IconModuleObjectives: React.ComponentType<Featherico>
export var IconModulePraise: React.ComponentType<Featherico>
export var IconModuleRequestFeedback: React.ComponentType<Featherico>
export var IconModuleReviews: React.ComponentType<Featherico>
export var IconMove: React.ComponentType<Featherico>
export var IconNudgeLeft: React.ComponentType<Featherico>
export var IconNudgeRight: React.ComponentType<Featherico>
export var IconPaperclip: React.ComponentType<Featherico>
export var IconPieChart: React.ComponentType<Featherico>
export var IconPlay: React.ComponentType<Featherico>
export var IconPlayCircle: React.ComponentType<Featherico>
export var IconPlus: React.ComponentType<Featherico>
export var IconPlusCircle: React.ComponentType<Featherico>
export var IconPreviewFile: React.ComponentType<Featherico>
export var IconPrinter: React.ComponentType<Featherico>
export var IconQuestionDropdown: React.ComponentType<Featherico>
export var IconQuestionFreeText: React.ComponentType<Featherico>
export var IconQuestionGuided: React.ComponentType<Featherico>
export var IconQuestionHeading: React.ComponentType<Featherico>
export var IconQuestionOrdered: React.ComponentType<Featherico>
export var IconQuestionScales: React.ComponentType<Featherico>
export var IconQuestionSlider: React.ComponentType<Featherico>
export var IconRedo: React.ComponentType<Featherico>
export var IconRss: React.ComponentType<Featherico>
export var IconSave: React.ComponentType<Featherico>
export var IconSearch: React.ComponentType<Featherico>
export var IconSend: React.ComponentType<Featherico>
export var IconSettings: React.ComponentType<Featherico>
export var IconShare: React.ComponentType<Featherico>
export var IconShoppingCart: React.ComponentType<Featherico>
export var IconSidebarClose: React.ComponentType<Featherico>
export var IconSidebarOpen: React.ComponentType<Featherico>
export var IconSlack: React.ComponentType<Featherico>
export var IconSmartphone: React.ComponentType<Featherico>
export var IconSparkles: React.ComponentType<Featherico>
export var IconSquare: React.ComponentType<Featherico>
export var IconStar: React.ComponentType<Featherico>
export var IconStopCircle: React.ComponentType<Featherico>
export var IconStrikethrough: React.ComponentType<Featherico>
export var IconTag: React.ComponentType<Featherico>
export var IconTeam: React.ComponentType<Featherico>
export var IconThumbsDown: React.ComponentType<Featherico>
export var IconThumbsUp: React.ComponentType<Featherico>
export var IconTimeline: React.ComponentType<Featherico>
export var IconTrash: React.ComponentType<Featherico>
export var IconTreeView: React.ComponentType<Featherico>
export var IconUnarchive: React.ComponentType<Featherico>
export var IconUnderline: React.ComponentType<Featherico>
export var IconUndo: React.ComponentType<Featherico>
export var IconUnlink: React.ComponentType<Featherico>
export var IconUnlock: React.ComponentType<Featherico>
export var IconUpload: React.ComponentType<Featherico>
export var IconUploadCloud: React.ComponentType<Featherico>
export var IconUser: React.ComponentType<Featherico>
export var IconUserArrowOut: React.ComponentType<Featherico>
export var IconUserCheck: React.ComponentType<Featherico>
export var IconUserMinus: React.ComponentType<Featherico>
export var IconUserPlus: React.ComponentType<Featherico>
export var IconUserX: React.ComponentType<Featherico>
export var IconUsers: React.ComponentType<Featherico>
export var IconVideo: React.ComponentType<Featherico>
export var IconX: React.ComponentType<Featherico>
export var IconXCircle: React.ComponentType<Featherico>
export var IconXSquare: React.ComponentType<Featherico>
 